const fs = require("fs");

fixture`A set of examples that illustrate how to use TestCafe API`
  .beforeEach(async t => {
    await beforeHook(t);
  })

export async function beforeHook(t) {
  await t.navigateTo("https://google.com")
  if (t.browser.alias.includes("headless")) {
    await t.resizeWindow(1800, 900);
  } else {
    await t.maximizeWindow();
    // await t.resizeWindow(1800, 900); - also does not work
  }
}

test('test', async t => {
  console.log("test")
  await t.takeScreenshot();
});